### Method

# Gtk Buttonset_icon_name

#### Declaration [src]

    void
    gtk_button_set_icon_name (
      GtkButton* button,
      const char* icon_name
    )

#### Description [src]

Adds a `GtkImage` with the given icon name as a child.

If `button` already contains a child widget, that child widget will be removed and replaced with the image.

Sets property | `Gtk.Button:icon-name`

#### Parameters

`icon_name`

  Type: `const char*`

  An icon name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.